View Issue Details

IDProjectCategoryView StatusLast Update
0024347mantisbtsecuritypublic2019-03-16 20:20
Reporterdregad Assigned Tocommunity  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.19.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0024347: web.config file is missing in api/rest
Description

As reported by @obmsch in 0024302:0059628

htaccess equivalant web.config for IIS is missing in api/rest

<?xml version="1.0" encoding="UTF-8"?>
<configuration>
  <system.webServer>
    <rewrite>
      <rules>
        <rule name="imported rule" stopProcessing="true">
          <match url="^" ignoreCase="false" />
          <conditions>
            <!--# Based on Slim Framework recommendation @ http://docs.slimframework.com/routing/rewrite/-->
            <add input="{REQUEST_FILENAME}" matchType="IsFile" ignoreCase="false" negate="true" />
          </conditions>
          <action type="Rewrite" url="index.php" appendQueryString="true" />
        </rule>
      </rules>
    </rewrite>
  </system.webServer>
  <location allowOverride="true"/>  
</configuration>
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master c7ca4005

2019-01-10 16:45:56

obmsch


Committer: vboctor Details Diff
To enable access to MantisBT through REST API under IIS, add an
.htaccess equivalent web.config for the url rewrite rule.
Otherwise 404 is returned on every request.
Generated with IIS-URL-Rewrite.Import(api/rest/.htaccess).

Fixes 0024347
Affected Issues
0024347
add - api/rest/web.config Diff File

Issue History

Date Modified Username Field Change
2018-04-23 07:13 dregad New Issue
2019-01-10 16:58 atrol Note Added: 0061203
2019-01-10 16:58 atrol Assigned To => community
2019-01-10 16:58 atrol Status new => assigned
2019-01-20 16:30 atrol Target Version => 2.20.0
2019-01-20 23:08 vboctor Changeset attached => MantisBT master c7ca4005
2019-01-20 23:08 vboctor Assigned To community => vboctor
2019-01-20 23:08 vboctor Status assigned => resolved
2019-01-20 23:08 vboctor Resolution open => fixed
2019-01-20 23:08 vboctor Fixed in Version => 2.20.0
2019-01-20 23:37 vboctor Product Version => 2.19.0
2019-01-21 02:25 atrol Assigned To vboctor => community
2019-03-16 20:20 vboctor Status resolved => closed